<!doctype html>

<html>
  <head>
    <title>hook-material-card test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-material-card.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-material-card></hook-material-card>
      </template>
    </test-fixture>

    <script>

      suite('hook-material-card', function() {

        var hookCard;
        
        setup(function() {
          hookCard = fixture('basic');
        });

        test('instantiating the element works', function() {
          assert.equal(hookCard.is, 'hook-material-card');
        });

        test('vertical property is set to true', function() {
          hookCard.setAttribute('vertical', true);
          assert.equal(hookCard.hasAttribute('vertical'), true);
        });

        test('column-reverse property is set to true', function() {
          hookCard.setAttribute('column-reverse', true);
          assert.equal(hookCard.hasAttribute('column-reverse'), true);
        });

        test('row-reverse property is set to false', function() {
          assert.equal(hookCard.hasAttribute('row-reverse'), false);
        });

      });

      a11ySuite('basic');

    </script>
  </body>
</html>
